class Expand extends BaseTool {
    getIcone() {
        return "<i class='fa fa-expand'></i>";
    }

    getName() {
        return Language.GetCode("Base.TextRichEditorExpand");
    }
    execute(e) {
        e.preventDefault();
       let container = this.editor.sourceControl.parentNode;
       let txtEditor = container.getElementsByClassName("inputArea")[0];
      
       if(container.style.display != "block"){
        container.style.display = "block";
        container.style.position = "fixed";
        container.style.top = "0";
        container.style.left = "0";
        container.style.zIndex = "999";
        container.style.background = "white";
        container.style.width = "100vw";
        container.style.height = "100vh";

        txtEditor.style.height = "80vh";
       } else {

        container.style.display = "";
        container.style.position = "";
        container.style.top = "";
        container.style.left = "";
        container.style.zIndex = "";
        container.style.background = "";
        container.style.width = "";
        container.style.height = "";
       
        txtEditor.style.height = "";
      }
    }
}
